package de.accso.flexinale.application;

import de.accso.flexinale.data.model.Kino;
import de.accso.flexinale.data.persistence.KinoDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@SuppressWarnings("unused")
public class KinoService {

    @Autowired
    private KinoDao kinoDao;

    public List<Kino> kinos() {
        return kinoDao.findAll();
    }

    public Kino kino(final String id) {
        return kinoDao.findById(id).orElse(null);
    }
}
